#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include "../inc/lc6_config.h"
#include "../inc/lc6_user.h"
#include "../inc/lc6_crypto.h"

LIBCHAT* libchat_init(char *path, unsigned char *password) {
	LC6_CTX *conf;

	lc6crypto_init();

	conf = lc6config_load(path, password);

	if ( !conf )
		return NULL;

	if ( !conf->user )
		conf->user = lc6user_create();

	return (LIBCHAT*)conf;
}

